Subject: bug#36672: 27.0.50; NS build: Creating child frame leads to empty space

From: Alan Third <[email-masked]>
Date: Fri, 13 Mar 2020 16:13:27 +0100 (CET)

On Fri, Mar 13, 2020 at 10:38:57AM +0100, martin rudalics wrote:
> > This all looks good to me. Pushed to master as
> > bbc48b263485c26c6823eabdbbd7e9af62178e34.
> 
> Alan, one child frame related question: When I specify a child frame in
> a GNUstep build and move its parent frame around, the child frame does
> _not_ move along with the parent but keeps its old position on the
> display.  However, clicking into that child frame with the mouse
> afterwards, moves it to its previous location within the parent frame.
> Is this behavior observable with other NS builds?

On macOS the child windows move with the parent. I thought GNUstep
worked that way too, but in my own experiments I can’t get them to
move at all, even with clicking in the windows like you’re doing.

I just tried an ancient build and it doesn’t work there, so I guess
this has probably never worked right.

I wonder if support is a WM thing?
-- 
Alan Third